import pickle
import neat
import visualize
import os

os.environ["PATH"] += os.pathsep + 'C:/Program Files (x86)/Graphviz2.38/bin/'

with open('neat_best_genome_1017_271.txt', 'rb') as f:
    genome = pickle.load(f)

config = neat.config.Config(neat.DefaultGenome, neat.DefaultReproduction,
                         neat.DefaultSpeciesSet, neat.DefaultStagnation,
                         'config')

node_names = {}
for i in range(27):
    node_names[-(i+1)] = "Input " + str(i+1)
for i in range(3):
    node_names[i] = "Output " + str(i+1)

visualize.draw_net(config, genome, True, node_names=node_names)


